Digikam 5.6 on ppa?

classic Classic list List threaded Threaded
13 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Digikam 5.6 on ppa?

Matthieu
Hello List,

I would like to know if the 5.6 release is available from an ubuntu ppa?

Regards
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Digikam 5.6 on ppa?

Gilles Caulier-4
Hi,

no PPA directly generate by digiKam team, but 3rd party ppa certainly...

At least we provide an AppImage Linux Bundle working under Ubuntu.

Gilles Caulier

2017-07-05 9:42 GMT+02:00 Matthieu <[hidden email]>:
> Hello List,
>
> I would like to know if the 5.6 release is available from an ubuntu ppa?
>
> Regards
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Digikam 5.6 on ppa?

NeiNei
Dear Matthieu,

Philip Johnsson provides us thankworthy  with an Ubuntu PPA for DigiKam
4.x and 5.x:
https://launchpad.net/~philip5/+archive/ubunt/extra?field.series_filter=

At the moment I find there Digikam 5.6 for Yakkety and Zesty. For
Xenial, a build is perhpas already on the road?

Regards,
NeiNei

On 05.07.2017 09:47, Gilles Caulier wrote:

> Hi,
>
> no PPA directly generate by digiKam team, but 3rd party ppa certainly...
>
> At least we provide an AppImage Linux Bundle working under Ubuntu.
>
> Gilles Caulier
>
> 2017-07-05 9:42 GMT+02:00 Matthieu <[hidden email]>:
>> Hello List,
>>
>> I would like to know if the 5.6 release is available from an ubuntu ppa?
>>
>> Regards

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Digikam 5.6 on ppa?

NeiNei
In reply to this post by Gilles Caulier-4
Dear Matthieu,

Philip Johnsson provides us thankworthy  with an Ubuntu PPA for DigiKam
4.x and 5.x:
https://launchpad.net/~philip5/+archive/ubuntu/extra?

At the moment I find there Digikam 5.6 for Yakkety and Zesty. For
Xenial, a build is perhpas already on the road?

Regards,
NeiNei

On 05.07.2017 09:47, Gilles Caulier wrote:

> Hi,
>
> no PPA directly generate by digiKam team, but 3rd party ppa certainly...
>
> At least we provide an AppImage Linux Bundle working under Ubuntu.
>
> Gilles Caulier
>
> 2017-07-05 9:42 GMT+02:00 Matthieu <[hidden email]>:
>> Hello List,
>>
>> I would like to know if the 5.6 release is available from an ubuntu ppa?
>>
>> Regards

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Digikam 5.6 on ppa?

Philip Johnsson
In reply to this post by NeiNei
There will not be a digikam 5.6 or newer for Ubuntu Xenial as it have a too old version of QT be built. 

The KDE team have a PPA that I used to build against before with updated QT so this could be solved but now they have digikam 5.5 there that would conflict with my digikam5 packages for Xenial if I would try something like that.

/Philip 


On Jul 5, 2017 12:59, "NeiNei" <[hidden email]> wrote:
Dear Matthieu,

Philip Johnsson provides us thankworthy  with an Ubuntu PPA for DigiKam 4.x and 5.x:
https://launchpad.net/~philip5/+archive/ubunt/extra?field.series_filter=

At the moment I find there Digikam 5.6 for Yakkety and Zesty. For Xenial, a build is perhpas already on the road?

Regards,
NeiNei

On 05.07.2017 09:47, Gilles Caulier wrote:
Hi,

no PPA directly generate by digiKam team, but 3rd party ppa certainly...

At least we provide an AppImage Linux Bundle working under Ubuntu.

Gilles Caulier

2017-07-05 9:42 GMT+02:00 Matthieu <[hidden email]>:
Hello List,

I would like to know if the 5.6 release is available from an ubuntu ppa?

Regards

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Digikam 5.6 on ppa?

Matthieu
thank all.
I understand.


2017-07-05 15:00 GMT+02:00 Philip Johnsson <[hidden email]>:
There will not be a digikam 5.6 or newer for Ubuntu Xenial as it have a too old version of QT be built. 

The KDE team have a PPA that I used to build against before with updated QT so this could be solved but now they have digikam 5.5 there that would conflict with my digikam5 packages for Xenial if I would try something like that.

/Philip 


On Jul 5, 2017 12:59, "NeiNei" <[hidden email]> wrote:
Dear Matthieu,

Philip Johnsson provides us thankworthy  with an Ubuntu PPA for DigiKam 4.x and 5.x:
https://launchpad.net/~philip5/+archive/ubunt/extra?field.series_filter=

At the moment I find there Digikam 5.6 for Yakkety and Zesty. For Xenial, a build is perhpas already on the road?

Regards,
NeiNei

On 05.07.2017 09:47, Gilles Caulier wrote:
Hi,

no PPA directly generate by digiKam team, but 3rd party ppa certainly...

At least we provide an AppImage Linux Bundle working under Ubuntu.

Gilles Caulier

2017-07-05 9:42 GMT+02:00 Matthieu <[hidden email]>:
Hello List,

I would like to know if the 5.6 release is available from an ubuntu ppa?

Regards


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Digikam 5.6 on ppa?

Peter Mc Donough
In reply to this post by Philip Johnsson
Am 05.07.2017 um 15:00 schrieb Philip Johnsson:
> There will not be a digikam 5.6 or newer for Ubuntu Xenial as it have a too
> old version of QT be built.
>
> The KDE team have a PPA that I used to build against before with updated QT
> so this could be solved but now they have digikam 5.5 there that would
> conflict with my digikam5 packages for Xenial if I would try something like
> that.

Hi,

will it be possible with Ubuntu Xenial 16.04.3?

cu
Peter
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Digikam 5.6 on ppa?

NeiNei
Hi Philip and Peter,

since Xenial is the actual LTS Version of Ubuntu it would be desirable,
if there would be DigiKam Version >= 5.6 available.

Regards,
NeiNei

On 05.07.2017 16:00, Peter Mc Donough wrote:

> Am 05.07.2017 um 15:00 schrieb Philip Johnsson:
>> There will not be a digikam 5.6 or newer for Ubuntu Xenial as it have
>> a too
>> old version of QT be built.
>>
>> The KDE team have a PPA that I used to build against before with
>> updated QT
>> so this could be solved but now they have digikam 5.5 there that would
>> conflict with my digikam5 packages for Xenial if I would try something
>> like
>> that.
>
> Hi,
>
> will it be possible with Ubuntu Xenial 16.04.3?
>
> cu
> Peter

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Digikam 5.6 on ppa?

Philip Johnsson
You need a reliable source of at least QT 5.6 for Ubuntu Xenial to build Digikam 5.6. Ubuntu Xenial use QT 5.5.1.

/Philip

On Wed, Jul 5, 2017 at 4:13 PM, NeiNei <[hidden email]> wrote:
Hi Philip and Peter,

since Xenial is the actual LTS Version of Ubuntu it would be desirable, if there would be DigiKam Version >= 5.6 available.

Regards,
NeiNei


On 05.07.2017 16:00, Peter Mc Donough wrote:
Am 05.07.2017 um 15:00 schrieb Philip Johnsson:
There will not be a digikam 5.6 or newer for Ubuntu Xenial as it have
a too
old version of QT be built.

The KDE team have a PPA that I used to build against before with
updated QT
so this could be solved but now they have digikam 5.5 there that would
conflict with my digikam5 packages for Xenial if I would try something
like
that.

Hi,

will it be possible with Ubuntu Xenial 16.04.3?

cu
Peter


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Digikam 5.6 on ppa?

Peter Mc Donough
Am 05.07.2017 um 22:19 schrieb Philip Johnsson:
> You need a reliable source of at least QT 5.6 for Ubuntu Xenial to build
> Digikam 5.6. Ubuntu Xenial use QT 5.5.1.
>

Thanks,
Peter
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Digikam 5.6 on ppa?

NeiNei
Thanks Philip für the further explanations.
So do you think that there will be any chance that at least QT 5.6 will
enter Xenial LTS any time in the near future? Or would it be more
advisable to change the distro for example from Linux Mint KDE  to Linux
KDE Neon in order to be  "on the safe side" with future releases of DigiKam?
Thanks in advance for your comments,
NeiNei

On 06.07.2017 12:15, Peter Mc Donough wrote:
> Am 05.07.2017 um 22:19 schrieb Philip Johnsson:
>> You need a reliable source of at least QT 5.6 for Ubuntu Xenial to build
>> Digikam 5.6. Ubuntu Xenial use QT 5.5.1.
>>
>
> Thanks,
> Peter

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Digikam 5.6 on ppa?

Philip Johnsson
Official xenial packeges will not likely get any updates like that of QT. 

What one could hope for is that there is an other reliable PPA with at least QT 5.6 for xenial that could be used as source for a special build of digikam with/for that. The kubuntu team have done backports like that before on their PPA but it mostly depends on if they need to update QT to build new versions of KDE. If they would do it then I could use it for digikam (as I have done in the past).

/Philip 




On Jul 6, 2017 14:30, "NeiNei" <[hidden email]> wrote:
Thanks Philip für the further explanations.
So do you think that there will be any chance that at least QT 5.6 will enter Xenial LTS any time in the near future? Or would it be more advisable to change the distro for example from Linux Mint KDE  to Linux KDE Neon in order to be  "on the safe side" with future releases of DigiKam?
Thanks in advance for your comments,
NeiNei

On 06.07.2017 12:15, Peter Mc Donough wrote:
Am 05.07.2017 um 22:19 schrieb Philip Johnsson:
You need a reliable source of at least QT 5.6 for Ubuntu Xenial to build
Digikam 5.6. Ubuntu Xenial use QT 5.5.1.


Thanks,
Peter

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Digikam 5.6 on ppa?

NeiNei
Dear Phil,

by chance, I found today in the Kubuntu backport ppa some evidence on
DigiKam 5.6 for Xenial:

https://launchpad.net/~kubuntu-ppa/+archive/ubuntu/backports?field.series_filter=xenial

So I don't know whether it would be helpful or advisable to add the ppa
to the software sources of the distro if it is not already there by default.

Best,
NeiNei

On 06.07.2017 21:11, Philip Johnsson wrote:

> Official xenial packeges will not likely get any updates like that of QT.
>
> What one could hope for is that there is an other reliable PPA with at
> least QT 5.6 for xenial that could be used as source for a special build
> of digikam with/for that. The kubuntu team have done backports like that
> before on their PPA but it mostly depends on if they need to update QT
> to build new versions of KDE. If they would do it then I could use it
> for digikam (as I have done in the past).
>
> /Philip
>
>
>
>
> On Jul 6, 2017 14:30, "NeiNei" <[hidden email] <mailto:[hidden email]>>
> wrote:
>
>     Thanks Philip für the further explanations.
>     So do you think that there will be any chance that at least QT 5.6
>     will enter Xenial LTS any time in the near future? Or would it be
>     more advisable to change the distro for example from Linux Mint KDE
>     to Linux KDE Neon in order to be  "on the safe side" with future
>     releases of DigiKam?
>     Thanks in advance for your comments,
>     NeiNei
>
>     On 06.07.2017 12:15, Peter Mc Donough wrote:
>
>         Am 05.07.2017 um 22:19 schrieb Philip Johnsson:
>
>             You need a reliable source of at least QT 5.6 for Ubuntu
>             Xenial to build
>             Digikam 5.6. Ubuntu Xenial use QT 5.5.1.
>
>
>         Thanks,
>         Peter
>
>

Loading...